Subject: Re: bug#75985: 31.0.50; Emacs crash on feature/igc

From: Pip Cet <[email-masked]>
Date: Sat, 22 Feb 2025 11:08:49 +0000

Pip Cet <[email-masked]> writes:

> "Payas Relekar" <[email-masked]> writes:
>
>> I wanted to try out the new GC, so my config is as before. Most tasks
>> seem to be fine, but encountered a crash within 30 minutes of using it.
>>
>> Steps:
>>
>> - Emacs with doom-emacs config, fairly customized
>> - Rust codebase rustic-mode and rust-analyzer as LSP server, interacting with
>>   Emacs via eglot
>> - codebase in question: https://github.com/CeleritasCelery/rune
>> - Randomly opened macros file and scrolled via touchpad (I'm on laptop)
>> - Scrolling was good for few seconds, and then crashed.
>
> That sounds like an issue with the X code which we might have fixed
> already, but the fix hasn't been pushed yet.  Sorry about that.  I'll
> let you know once I push.

As both the X and the PGTK code have seen significant fixes since then,
and no recent crashes have been observed, I'm closing this bug as
"probably fixed".

Pip